Are the newest releases of the GX emulators incompatible with WiiFlow plugins?

Discussion in 'Wii - Emulation and Homebrew' started by MrSW, Feb 14, 2019.

  1. MrSW
    OP

    MrSW Advanced Member

    Newcomer
    3
    Sep 2, 2018
    Brunei
    So today I decided to upgrade my emulators to their newest versions, but it seems that the plugin functionality was lost in translation

    The only thing that I did was replacing the old .dol files in the plugin folder, but now upon trying to access any rom from WiiFlow it gives me a DSI exception

    The emulators are FCEUltra GX 3.4.2, Snes9x GX 4.4.2 and VBA GX 2.3.9

    I would like to know if this is a problem on my end or if these versions of the emulators are simply incompatible
     
  2. spinoman

    spinoman Member

    Newcomer
    2
    May 5, 2014
    Italy
    i can confirm the issue too. you can find more informations on page 6 of the snes9x rx thread in this forum section.
     
    Last edited by spinoman, Feb 14, 2019
  3. RunningSnakes

    RunningSnakes GBAtemp Regular

    Member
    3
    Jun 21, 2018
    United States
    Yes, for VBA GX, you'll have to stick with 2.3.8 for now. For FCEUltra & Snes9x, check out "niuus" RX forks. Latest versions 1.7.0 & 3.5.0 both work as WiiFlow plugins. For Snes9x RX 3.5.0, he made a test build "B" that is compatible. check them out, top notch stuff.
     
  4. MrSW
    OP

    MrSW Advanced Member

    Newcomer
    3
    Sep 2, 2018
    Brunei
    I see, well I will follow your advice by now, hopefully the issue gets sorted out eventually
     
  5. fledge68

    fledge68 GBAtemp Advanced Maniac

    Member
    10
    Jan 30, 2012
    United States
    All the gx emus by tantric/dborth work great for me. I put them in their apps folder and edit the plugin ini by setting the dolfile=sd:/apps/snes9xgx for example. I can run them via hbc or wiiflow as plugin.
     
  6. RunningSnakes

    RunningSnakes GBAtemp Regular

    Member
    3
    Jun 21, 2018
    United States
    The problem may exist by using certain plugins through USB. As my SD card does not work, i have only been able to test/use through HDD. The latest mGBA
    stand alone release does not work as WiiFlow plugin either, using through USB. I have found recently this is a problem with other Homebrew features...

    ======================

    mustangemu said:
    Hello, im wondering how to add background music in latest version?
    Add support to load external background music. [Tantric]
    Put your bg_music.ogg inside the Apps > Snes9xRX folder.
    will any .ogg file work? i couldnt get it to work. Thanks for any help.

    I too have tried this with no success.

    niuus said:
    Yes, any .ogg file should work. As a rule of thumb i try not to encode with more than 128kbps, but that's just me. I recommend you to use oggdropXPd (Windows) for your .wav files, it's a pretty clean and simple app.

    Is this only working for SD I am wondering? Also does .ogg file have to be looped or is there a time limit the .ogg must not exceed? Thank You

    EDIT**
    Ok, I did manage to get it to work through Homebrew Channel. If I try through Channel Forwarder it is default background music. I am using through USB btw since my SD
    slot is not working. Thanks

    Fine, issue identified at least! I will later make the disclaimer for Channel Forwarder users.
     
  7. cebolleto

    cebolleto GBAtemp Regular

    Member
    6
    Mar 5, 2010
  8. niuus

    niuus GBAtemp Advanced Fan

    Member
    6
    Mar 4, 2016
    Venezuela
    Hi @cebolleto! The reason for the difference is because i haven't been able to implement the following change without the compile crapping out:
    if arguments are passed to the emu to autoboot a game, then the main · dborth-snes9xgx@16e8b6d

    The error is:
    [​IMG]

    Nevertheless, the wiiflow crash is present in both emulators, with the korean font commit being the culprit.
     
    Last edited by niuus, Feb 17, 2019
  9. cebolleto

    cebolleto GBAtemp Regular

    Member
    6
    Mar 5, 2010
    Sorry I am a bit confused...
    These lines with error referring to std:string are from snes9xRX but they are not present in snes9xgx so the error you are saying should be happening when compiling RX

    Also, is snes9xRX working with wiiflow or not? I understood that it is, and in that case this is the commit that is breaking everything
     
  10. cebolleto

    cebolleto GBAtemp Regular

    Member
    6
    Mar 5, 2010
    OK, got it... forget my previous post, I've been reading the other thread when you point to that commit about the korean font
     
    niuus likes this.
  11. fledge68

    fledge68 GBAtemp Advanced Maniac

    Member
    10
    Jan 30, 2012
    United States
    Last edited by fledge68, Feb 19, 2019
    Tanooki16, cebolleto and niuus like this.
  12. cebolleto

    cebolleto GBAtemp Regular

    Member
    6
    Mar 5, 2010
    It this the same problem with vbagx and fecumgx?
     
  13. fledge68

    fledge68 GBAtemp Advanced Maniac

    Member
    10
    Jan 30, 2012
    United States
    Yes
     
  14. Tanooki16

    Tanooki16 Advanced Member

    Newcomer
    4
    Jul 21, 2009
    France
    @fledge68: Thank you so much, i will include it in my mods :)
     
    fledge68 likes this.
  15. MrSW
    OP

    MrSW Advanced Member

    Newcomer
    3
    Sep 2, 2018
    Brunei
    The new releases mostly fix the WiiFlow incompatibility problems, however GB games (not GBC or GBA) still have issues.

    I get a DSI exception when I try to play them from WiiFlow, I figured that it has to do when the GB Mono Colorization setting is turned on, maybe someone can fix this.

    Sorry for bumping the thread, but I thought that it was better than just opening another one.
     
Quick Reply
Draft saved Draft deleted
Loading...